| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::xpressive::operator<< — insertion operator for sending sub-matches to ostreams

## Synopsis

    // In header: <boost/xpressive/sub_match.hpp>

    template<typename BidiIter, typename Char, typename Traits>
      std::basic_ostream< Char, Traits > &
      operator<<(std::basic_ostream< Char, Traits > & sout,
                 sub_match< BidiIter > const & sub);

## Description

Parameters:

`sout` | output stream.
`sub` | sub_match object to be written to the stream.

Returns: | sout << sub.str()